Moodle 会话劫持漏洞

  • A+
所属分类:业界资讯

  受影响系统:
Moodle Moodle 2.x
描述:
--------------------------------------------------------------------------------
CVE(CAN) ID: CVE-2014-0214

Moodle是一个课程管理系统(CMS),也被叫做学习管理系统(LMS)或虚拟学习环境(VLE)。

Moodle 2.6.3之前版本中,login/token.php用无限生命期创建 MoodleMobile Web服务令牌,这可使远程攻击者通过暴力攻击劫持会话。

<*来源:Moodle
 *>

建议:
--------------------------------------------------------------------------------
厂商补丁:

Moodle
------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-43119
https://moodle.org/mod/forum/discuss.php?d=260362


 
     

  • 我的微信
  • 这是我的微信扫一扫
  • weinxin
  • 我的微信公众号
  • 我的微信公众号扫一扫
  • weinxin

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: